# - Try to find JStreams
# Once done this will define
#
#  JSTREAMS_FOUND - system has JStreams
#  JSTREAMS_INCLUDE_DIR - the JStreams include directory
#  JSTREAMS_LIBRARY - Link these to use JStreams
#


FIND_PATH(JSTREAMS_INCLUDE_DIR streambase.h
  PATHS
  /usr/include
  /usr/local/include
)

FIND_LIBRARY(JSTREAMS_LIBRARY NAMES streams
  PATHS
  /usr/lib
  /usr/local/lib
)

IF(JSTREAMS_INCLUDE_DIR AND JSTREAMS_LIBRARY)
   SET(JSTREAMS_FOUND TRUE)
ENDIF(JSTREAMS_INCLUDE_DIR AND JSTREAMS_LIBRARY)

IF(JSTREAMS_FOUND)
  IF(NOT JStreams_FIND_QUIETLY)
    MESSAGE(STATUS "Found JStreams: ${JSTREAMS_LIBRARY}")
  ENDIF(NOT JStreams_FIND_QUIETLY)
ELSE(JSTREAMS_FOUND)
  IF(JStreams_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Could not find JStreams")
  ENDIF(JStreams_FIND_REQUIRED)
ENDIF(JSTREAMS_FOUND)

